> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account By ID

> Given a customer, retrieve its accounts from a financial provider.



## OpenAPI

````yaml GET /partner/clover/accounts/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/accounts/{account_id}:
    get:
      tags:
        - Clover
      summary: Get Account By Id
      description: Given a customer, retrieve its accounts from a financial provider.
      operationId: get_account_by_id_partner_clover_accounts__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseSchema_CloverAccountResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_CloverAccountResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/CloverAccountResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[CloverAccountResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloverAccountResponse:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Partner account ID
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Account number
        account_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Group
          description: Account group
        account_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Title
          description: Account title
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Account name
        dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dba Name
          description: DBA name
        status:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Status
          description: The status of the account
        interest_earned_year_to_date:
          anyOf:
            - type: number
            - type: 'null'
          title: Interest Earned Year To Date
          description: Interest earned year to date
          examples:
            - 0
        annual_percentage_yield_earned:
          anyOf:
            - type: number
            - type: 'null'
          title: Annual Percentage Yield Earned
          description: Annual percentage yield earned
          examples:
            - 0
        is_restricted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Restricted
          description: Account is Restricted
          default: false
        close_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Close Date
          description: Account close date
      type: object
      title: CloverAccountResponse
      description: Schema used to serialize a partner account object.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````